Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class FileReader

    java.lang.Object
      |
      +--java.io.Reader
            |
            +--java.io.InputStreamReader
                  |
                  +--java.io.FileReader

public class FileReader
extends InputStreamReader

Convenience class for reading character files. The constructors of this class assume that the default character encoding and the default byte-buffer size are appropriate. To specify these values yourself, construct an InputStreamReader on a FileInputStream.

Since:
  JDK1.1
See Also:
  `InputStreamReader`, `FileInputStream`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`FileReader(File file)` Creates a new `FileReader`, given the `File` to read from.
`FileReader(FileDescriptor fd)` Creates a new `FileReader`, given the `FileDescriptor` to read from.
`FileReader(String fileName)` Creates a new `FileReader`, given the name of the file to read from.

Methods inherited from class java.io.InputStreamReader
`close, getEncoding, read, read, ready`

Methods inherited from class java.io.Reader
`mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileReader

    public FileReader(String fileName)
               throws FileNotFoundException

  Creates a new `FileReader`, given the name of the file to read from.
  Parameters:
    `fileName` - the name of the file to read from
  Throws:
    ``FileNotFoundException`` - if the specified file is not found

### FileReader

    public FileReader(File file)
               throws FileNotFoundException

  Creates a new `FileReader`, given the `File` to read from.
  Parameters:
    `file` - the `File` to read from
  Throws:
    ``FileNotFoundException`` - if the specified file is not found

### FileReader

    public FileReader(FileDescriptor fd)

  Creates a new `FileReader`, given the `FileDescriptor` to read from.
  Parameters:
    `fd` - the FileDescriptor to read from

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >